Skip to main content
GET
/
matters
/
{matterId}
Get a matter
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/matters/{matterId}"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/matters/{matterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "externalSystemId": "EXT01",
  "versionId": "637771038395217729",
  "number": "FUS-124",
  "title": "AM-0323-0005 - Smith - Sale - Jones",
  "matterType": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "clients": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "otherSides": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "description": "This is a brief description for the matter",
  "status": "Open",
  "personResponsible": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "personAssisting": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "personAssistingStaffs": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "originatingStaff": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "originatingStaffs": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "splitOriginatingStaffSettings": {
    "isEnabled": true,
    "splitMatterStaffs": [
      {
        "matterStaffId": "<string>",
        "matterStaffRatio": 123
      }
    ],
    "splitMethod": "<string>",
    "remainderStaffId": "<string>"
  },
  "supervisor": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "clientCode": "Client A",
  "openedDate": "2022-04-23T14:00:00Z",
  "closedDate": "2022-04-23T14:00:00Z",
  "leadOpenedDate": "2022-04-23T14:00:00Z",
  "leadClosedDate": "2022-04-23T14:00:00Z",
  "leadClosedReason": "No longer interested",
  "isLead": false,
  "branch": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "branchProviderId": "Smokeball",
  "referralType": "<string>",
  "referrer": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "referralAgreementFeeType": "<string>",
  "referralAgreementFee": 123,
  "referralAgreementFeeComment": "<string>",
  "items": {},
  "tags": [
    {
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "id": "a15086f5-4da7-4271-8fea-b24d479ced2b",
      "type": "Staff",
      "name": "",
      "color": "Light Blue",
      "staff": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      }
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string<uuid>
required

Response

When request is successful. Returns a 'Matter' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the matter.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

externalSystemId
string | null

External system id for the matter.

Example:

"EXT01"

versionId
string | null

Version id of the record. This can be used in the UpdatedSince query parameter.

Example:

"637771038395217729"

number
string | null

Human-friendly number assigned to matter.

Example:

"FUS-124"

title
string | null

Title of the matter.

Example:

"AM-0323-0005 - Smith - Sale - Jones"

matterType
object | null

Hypermedia link of the associated matter type.

clients
object[] | null

List of hypermedia links of 'Client' contacts associated with the matter.

otherSides
object[] | null

List of hypermedia links of 'OtherSide' contacts associated with the matter.

description
string | null

Brief description of the matter.

Example:

"This is a brief description for the matter"

status
string | null

Current status of the matter.

Possible values: Open, Pending, Closed, Deleted or Cancelled.

Example:

"Open"

personResponsible
object | null

Hypermedia link of the person responsible for the matter (if applicable).

personAssisting
object | null

Hypermedia link of the person assisting in the matter (if applicable).

personAssistingStaffs
object[] | null

List of hypermedia links of additional person assisting staff members associated with the matter.

originatingStaff
object | null

Hypermedia link of the originating attorney (if in US) or introducer (if in AU) of the matter.

originatingStaffs
object[] | null

List of hypermedia links of additional originating (if in US) or introducer (if in AU) staff members associated with the matter.

splitOriginatingStaffSettings
object | null

Settings for splitting originating staff members on a matter.

supervisor
object | null

Hypermedia link of the supervisor of the matter.

Only supported in the UK.

clientCode
string | null

Associates an external client code to this matter.

Only supported in AU and UK.

Example:

"Client A"

openedDate
string<date-time> | null

Date the matter was opened.

Example:

"2022-04-23T14:00:00Z"

closedDate
string<date-time> | null

Date the matter was closed.

Example:

"2022-04-23T14:00:00Z"

leadOpenedDate
string<date-time> | null

Date the lead was opened.

Only applies if isLead is true.

Example:

"2022-04-23T14:00:00Z"

leadClosedDate
string<date-time> | null

Date the lead was closed.

Only applies if isLead is true.

Example:

"2022-04-23T14:00:00Z"

leadClosedReason
string | null

Reason the lead was closed.

Only applies if isLead is true.

Example:

"No longer interested"

isLead
boolean

Boolean flag indicating if the matter is a lead.

Example:

false

branch
object | null

Hypermedia link of the associated branch.

branchProviderId
string | null

Unique identifier of the associated branch provider.

Example:

"Smokeball"

referralType
string | null

The referral type of the matter.

referrer
object | null

The referrer contact of the matter.

referralAgreementFeeType
string | null

The referral agreement fee type.

referralAgreementFee
number<double> | null

The referral agreement fee value.

referralAgreementFeeComment
string | null

The referral agreement fee comment.

items
object | null

Items associated with the matter.

tags
object[] | null

Tags associated with the matter.